OpenJPH: /build/openjph/src/OpenJPH/tests/mse_pae.cpp File Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
mse_pae.cpp File Reference
`#include <cstdio>`
`#include <cstdlib>`
`#include <stdexcept>`
`#include <cctype>`
`#include "ojph_img_io.h"`
`#include "ojph_mem.h"`

Go to the source code of this file.

## Classes
struct | img_info

## Enumerations
enum | : ui32 { UNDEFINED = 0 , FORMAT444 = 1 , FORMAT422 = 2 , FORMAT420 = 3 , FORMAT400 = 4 }

## Functions
bool | is_pnm (const char *filename)
void | load_ppm (const char *filename, img_info &img)
bool | is_yuv (const char *filename)
void | load_yuv (const char *filename, img_info &img)
bool | is_rawl (const char *filename)
void | load_rawl (const char *filename, img_info &img)
void | find_mse_pae (const img_info &img1, const img_info &img2, float mse[3], ui32 pae[3])
void | find_nlt_mse_pae (const img_info &img1, const img_info &img2, float mse[3], ui32 pae[3])
int | main (int argc, char *argv[])

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum : ui32

Enumerator
UNDEFINED |
FORMAT444 |
FORMAT422 |
FORMAT420 |
FORMAT400 |

Definition at line 49 of file mse_pae.cpp.

## Function Documentation

## ◆ find_mse_pae()

void find_mse_pae | ( | const img_info & | img1,
|  | const img_info & | img2,
|  | float | mse[3],
|  | ui32 | pae[3] )

Definition at line 512 of file mse_pae.cpp.

References img_info::bit_depth, img_info::comps, img_info::downsampling, img_info::format, img_info::height, img_info::is_signed, img_info::num_comps, img_info::width, and ojph::point::x.

Referenced by main().

## ◆ find_nlt_mse_pae()

void find_nlt_mse_pae | ( | const img_info & | img1,
|  | const img_info & | img2,
|  | float | mse[3],
|  | ui32 | pae[3] )

Definition at line 561 of file mse_pae.cpp.

References img_info::bit_depth, img_info::comps, img_info::downsampling, img_info::format, img_info::height, img_info::is_signed, img_info::num_comps, img_info::width, and ojph::point::x.

Referenced by main().

## ◆ is_pnm()

bool is_pnm | ( | const char * | filename | ) |

Definition at line 123 of file mse_pae.cpp.

Referenced by main().

## ◆ is_rawl()

bool is_rawl | ( | const char * | filename | ) |

Definition at line 287 of file mse_pae.cpp.

Referenced by main().

## ◆ is_yuv()

bool is_yuv | ( | const char * | filename | ) |

Definition at line 164 of file mse_pae.cpp.

Referenced by main().

## ◆ load_ppm()

void load_ppm | ( | const char * | filename,
|  | img_info & | img )

Definition at line 134 of file mse_pae.cpp.

References ojph::calc_aligned_size(), img_info::comps, ojph::ppm_in::get_bit_depth(), ojph::ppm_in::get_height(), ojph::ppm_in::get_num_components(), ojph::ppm_in::get_width(), ojph::line_buf::i32, img_info::init(), ojph::ppm_in::open(), ojph::ppm_in::read(), ojph::ppm_in::set_planar(), and ojph::line_buf::wrap().

Referenced by main().

## ◆ load_rawl()

void load_rawl | ( | const char * | filename,
|  | img_info & | img )

Definition at line 297 of file mse_pae.cpp.

References img_info::comps, FORMAT400, FORMAT444, ojph::size::h, img_info::init(), and ojph::size::w.

Referenced by main().

## ◆ load_yuv()

void load_yuv | ( | const char * | filename,
|  | img_info & | img )

Definition at line 173 of file mse_pae.cpp.

References ojph::calc_aligned_size(), img_info::comps, img_info::downsampling, FORMAT400, FORMAT420, FORMAT422, FORMAT444, ojph::size::h, ojph::line_buf::i32, img_info::init(), ojph::yuv_in::open(), ojph::yuv_in::read(), ojph::yuv_in::set_bit_depth(), ojph::yuv_in::set_img_props(), ojph::size::w, ojph::line_buf::wrap(), ojph::point::x, and ojph::point::y.

Referenced by main().

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 624 of file mse_pae.cpp.

References find_mse_pae(), find_nlt_mse_pae(), is_pnm(), is_rawl(), is_yuv(), load_ppm(), load_rawl(), load_yuv(), and img_info::num_comps.